package traceroute

import (
	"fmt"
	"testing"
)

func TestNewSession(t *testing.T) {

	testCases := []struct {
		destination        string
		shouldSessionError bool
	}{
		{
			"www.schukai.com",
			false,
		},
	}

	for _, tc := range testCases {

		t.Run(fmt.Sprintf(""), func(t *testing.T) {

			session, err := NewSession(tc.destination)
			if err != nil {
				if tc.shouldSessionError {
					return
				}
				t.Errorf("%s shout not error %s", tc.destination, err.Error())
				return
			}

			if session.Timeout==0 {
				t.Errorf("timeout should be greater than 0")
			}

			_, err = session.TraceRoute()
			if err!=nil {
				t.Errorf("%s shout not error %s", tc.destination, err.Error())
				return
			}
		

		})

	}

}
